% ------------------------------------------------------------------------------
% Copyright (c) 2010, 2021 Contributors to the Eclipse Foundation
%
% See the NOTICE file(s) distributed with this work for additional
% information regarding copyright ownership.
%
% This program and the accompanying materials are made available under the terms
% of the MIT License which is available at https://opensource.org/licenses/MIT
%
% SPDX-License-Identifier: MIT
% ------------------------------------------------------------------------------
{\ttfamily
\begin{tikzpicture}[x=1ex,y=1ex,thin,>=triangle 45,auto]
\path
            node(G0){}
++ ( 0,-8) node(G1){}
++ ( 0,-8) node(G2){}
++ (12, 16) node[proc](B0){B}
++ ( 0,-8) node[proc](B1){...}
++ ( 0,-8) node[proc](B2){B}
++ (14, 8) node[proc](S){S}
++ (12,  0) node(E){};
\path (G0) edge node{a[0]} (B0)
      (G1) edge node{a[i]} (B1)
      (G2) edge node{a[m]} (B2)
      (B0) edge node{c[0]} (S)
      (B1) edge node{c[i]} (S)
      (B2) edge node[below]{c[m]} (S)
      (S) edge node{b} (E);
\end{tikzpicture}
}
